# Boost Exception

## boost/exception/get_error_info.hpp

### Synopsis

    #include <boost/shared_ptr.hpp>

    namespace
    boost
        {
        template <class ErrorInfo,class E>
        typename ErrorInfo::error_info::value_type const * get_error_info( E const & x );

        template <class ErrorInfo,class E>
        typename ErrorInfo::error_info::value_type * get_error_info( E & x );
        }

See also: boost/exception/all.hpp | error_info